libqxp::QXPContentCollector::CollectedPage Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
libqxp::QXPContentCollector::CollectedPage Struct Reference

## Public Member Functions
| CollectedPage (const PageSettings &pageSettings)
double | getX (const double x) const
double | getX (const std::shared_ptr< Object > &obj) const
double | getY (const double y) const
double | getY (const std::shared_ptr< Object > &obj) const
Point | getPoint (const Point &p) const

## Public Attributes
const PageSettings | settings
std::vector< std::shared_ptr< CollectedObject< Group > > > | groups
std::vector< std::shared_ptr< TextObject > > | linkedTextObjects
std::vector< std::shared_ptr< CollectedObjectInterface > > | objects

## Constructor & Destructor Documentation

## ◆ CollectedPage()

libqxp::QXPContentCollector::CollectedPage::CollectedPage | ( | const PageSettings & | pageSettings | ) |
| inline

## Member Function Documentation

## ◆ getPoint()

Point libqxp::QXPContentCollector::CollectedPage::getPoint | ( | const Point & | p | ) | const

Referenced by libqxp::QXPContentCollector::drawBezierBox(), libqxp::QXPContentCollector::drawLine(), libqxp::QXPContentCollector::drawPolygon(), and libqxp::QXPContentCollector::drawRectangle().

## ◆ getX() [1/2]

double libqxp::QXPContentCollector::CollectedPage::getX | ( | const double | x | ) | const

Referenced by libqxp::QXPContentCollector::drawOval(), libqxp::QXPContentCollector::drawTextBox(), and libqxp::QXPContentCollector::drawTextPath().

## ◆ getX() [2/2]

double libqxp::QXPContentCollector::CollectedPage::getX | ( | const std::shared_ptr< Object > & | obj | ) | const

## ◆ getY() [1/2]

double libqxp::QXPContentCollector::CollectedPage::getY | ( | const double | y | ) | const

Referenced by libqxp::QXPContentCollector::drawOval(), libqxp::QXPContentCollector::drawTextBox(), and libqxp::QXPContentCollector::drawTextPath().

## ◆ getY() [2/2]

double libqxp::QXPContentCollector::CollectedPage::getY | ( | const std::shared_ptr< Object > & | obj | ) | const

## Member Data Documentation

## ◆ groups

std::vector<std::shared_ptr<CollectedObject<Group> > > libqxp::QXPContentCollector::CollectedPage::groups

Referenced by libqxp::QXPContentCollector::collectGroup().

## ◆ linkedTextObjects

std::vector<std::shared_ptr<TextObject> > libqxp::QXPContentCollector::CollectedPage::linkedTextObjects

Referenced by libqxp::QXPContentCollector::collectTextObject().

## ◆ objects

std::vector<std::shared_ptr<CollectedObjectInterface> > libqxp::QXPContentCollector::CollectedPage::objects

Referenced by libqxp::QXPContentCollector::addObject(), and libqxp::QXPContentCollector::drawGroup().

## ◆ settings

const PageSettings libqxp::QXPContentCollector::CollectedPage::settings

Referenced by getX().

The documentation for this struct was generated from the following files:

- QXPContentCollector.h
- QXPContentCollector.cpp